%define with_ksmarttray 1
%define with_smart_update 1

Name: smart
Version: 0.30.2
Release: 1mdk
Group: System/Configuration/Packaging
Summary: Next generation package handling tool
Source: smart-%{version}.tar.bz2
Url: http://smartpm.org/
# distro.py contains the default channels
# TODO: generate it from the urpmi configuration ?
Source1: distro.py
Source2: smart.console
Source3: smart.pam
Source4: smart.desktop
Patch1: ksmarttray-includemoc.patch.bz2
License: GPL
Requires: pygtk2.0 >= 2.3.94
BuildRequires: python-devel
Requires: python
Requires: rpm-python
Requires: usermode-consoleonly
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Smart Package Manager is a next generation package handling tool.

%files -f INSTALLED_FILES
%defattr(0644,root,root,0755)
%doc HACKING README LICENSE TODO IDEAS doc
%defattr(-,root,root)
%{_libdir}/smart/distro.py
%{_bindir}/smart-root
%config(noreplace) %{_sysconfdir}/security/console.apps/smart-root
%config(noreplace) %{_sysconfdir}/pam.d/smart-root
%{_datadir}/applications/smart-package-manager.desktop
%{_datadir}/pixmaps/smart-package-manager.png
%dir %{_localstatedir}/smart/channels

#-------------------------------------------------

%if %with_smart_update 

%package update
Summary: Allows execution of 'smart update' by normal users (suid)
Group: System/Configuration/Packaging
Requires: smart

%description update
Allows execution of 'smart update' by normal users through a
special suid command.

%files update
%attr(4755,root,root) %{_bindir}/smart-update

%endif

#-------------------------------------------------

%if %with_ksmarttray

%package -n ksmarttray
Summary: KDE tray program for watching updates with Smart Package Manager
Group: System/Configuration/Packaging
Requires: smart-update
BuildRequires: kdelibs-devel
BuildRequires: libqt-devel
BuildRequires: make
BuildRequires: popt
BuildRequires: rpm-devel >= 4.2.1
BuildRequires: automake
BuildRequires: autoconf

%description -n ksmarttray
KDE tray program for watching updates with Smart Package Manager.

%files -n ksmarttray
%attr(0755,root,root) %{_bindir}/ksmarttray
%attr(-,root,root) %{_datadir}/apps/ksmarttray

%endif

#-------------------------------------------------

%prep
%setup -q
%patch1 -p1 -b .fix_includemoc

%build
env CFLAGS="%{optflags}" python setup.py build

%if %with_ksmarttray
pushd contrib/ksmarttray
%make -f admin/Makefile.common
%ifarch amd64
%configure --disable-rpath --enable-libsuffix=64
%else
%configure --disable-rpath
%endif
%make
popd
%endif

%if %with_smart_update 
pushd contrib/smart-update
%make
popd
%endif

%install
rm -fr %{buildroot}
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

mkdir -p %{buildroot}%{_libdir}/smart
cp %{SOURCE1} %{buildroot}%{_libdir}/smart/

ln -sf consolehelper %{buildroot}%{_bindir}/smart-root

mkdir -p %{buildroot}/%{_sysconfdir}/security/console.apps
mkdir -p %{buildroot}/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/security/console.apps/smart-root
install -m 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/pam.d/smart-root

mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 %{SOURCE4} \
    %{buildroot}/%{_datadir}/applications/smart-package-manager.desktop
mkdir -p  %{buildroot}/%{_datadir}/pixmaps
install -m 644 smart/interfaces/images/smart.png \
    %{buildroot}/%{_datadir}/pixmaps/smart-package-manager.png
mkdir -p %{buildroot}%{_localstatedir}/smart/channels

%if %with_smart_update 
pushd contrib/smart-update
cp -f smart-update %{buildroot}%{_bindir}
popd
%endif

%if %with_ksmarttray
pushd contrib/ksmarttray
%make install DESTDIR=%{buildroot}
popd
%endif

%clean
rm -rf %{buildroot}

%changelog
* Tue Mar 29 2005 Helio Chissini de castro <helio@mandrakesoft.com> 0.30.2-1mdk
- Fixed minor flaw introduced by latest package

* Tue Mar 29 2005 Helio Chissini de castro <helio@mandrakesoft.com> 0.30.1-1mdk
- Minor fix for Python 2.3 backports

* Thu Mar 24 2005 Helio Chissini de Castro <helio@mandrakesoft.com> 0.30-1mdk
- Changed spec layout and add the ability to generates just smart utilty
- Search option now available to regular users
- provides: path: requires: methods are available, allowing usual mdk devel
  requires match
- config is no longer available on package, as smart is in charge of handle this
  file now

* Wed Mar 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.29.2-2mdk
- amd64 compilation fix (by trem)

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.29.2-1mdk
- New version
- Remove patch2, integrated upstream

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.29-3mdk
- Patch2: fix qtooltips, remove it before to add it.

* Fri Mar 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.29-2mdk
- Patch1: Includemoc into ksmarttray

* Wed Mar 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.29-1mdk
- 0.29
- Require rpm-python for GUI
- Remove inter-package requires on release

* Wed Dec 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.28-1mdk
- New version 0.28

* Mon Dec 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.27.1-1mdk
- First Mandrakelinux package, based on Guilherme Manika's FC3 spec file,
  with the help of Michael Scherer.
